RESOLVED.CONF(5)

NAME
resolved.conf - Network Name Resolution configuration file

SYNOPSIS

/etc/systemd/resolved.conf

DESCRIPTION

When starting, systemd-resolved will read the configuration file resolved.conf. This configuration file controls local DNS and LLMNR name resolving.

OPTIONS

DNS=
    A space separated list of IPv4 and IPv6 addresses to be used as system DNS servers. DNS requests are sent to one of the listed DNS servers in parallel to any per-interface DNS servers acquired from systemd-networkd.service(8). For compatibility reasons, if set to the empty list the DNS servers listed in /etc/resolv.conf are used, if any are configured there. This setting defaults to the empty list.

FallbackDNS=
    A space separated list of IPv4 and IPv6 addresses to be used as the fallback DNS servers. Any per-interface DNS servers obtained from systemd-networkd.service(8) take precedence over this setting, as do any servers set via DNS= above or /etc/resolv.conf. This setting is hence only used if no other DNS server information is known. If this option is not given, a compiled-in list of DNS servers is used instead.

LLMNR=
    Takes a boolean argument or "resolve". Controls Link-Local Multicast Name Resolution support (RFC 4794[1]) on the local host. If true enables full LLMNR responder and resolver support. If false disable both. If set to "resolve" only resolving support is enabled, but responding is disabled. Note that systemd-networkd.service(8) also maintains per-interface LLMNR settings. LLMNR will be enabled on an interface only if the per-interface and the global setting is on.

SEE ALSO

systemd(1), systemd-resolved.service(8), systemd-networkd.service(8), resolv.conf(4)

NOTES

1.  RFC 4794
    https://tools.ietf.org/html/rfc4795